Relist multiple domains
Re-trigger the listing process for up to 500 domain entries at once.
sso-keyAuthorization<token>Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET
customerId*stringAn identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.
^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$"my"X-Request-Id?stringA unique identifier for the request
Multiple domains relist request payload
application/json- body
mode?stringDomain relist mode. This provides some guidance on how to relist the domain.
"RESYNC""RESYNC""REACTIVATE"names*array<>A list of puny-coded domain names as a JSON payload
value <= 500Returns an aggregate of each individual domain operation result. Results are keyed by domain name and provides errors and HTTP response code per operation. A domain whose listing didn't change (e.g. it was already relisted) is reported here with a 204 result, not as a separate top-level status.
application/json- response
[key: string]?curl -X POST 'https://api.afternic.com/v3/aftermarket/customers/my/domains/$each/relist' \ -H 'Content-Type: application/json' \ -d '{ "names": [ "example.com", "example2.com", "example3.com" ]}'{ "example1.com": { "code": 200 }, "example2.com": { "code": 422, "error": { "code": "VALIDATION_ERROR", "message": "Unable to process request due to validation errors" } }}